Compiler not working - Geth - 1.1.0

m88888mm88888m Member Posts: 3
Hi all,

I have trouble compiling some larger contracts under geth 1.1.0, whereas compilation worked before (0.92)

I already asked this question in reddit, but it got kind of burried, so maybe someone here can help.

If I compile, I get this:

> contract = eth.compile.solidity(source)
{
HDC: {
code: "0x60606040525b606460016000508190555033600060006101000a81548173ffff.....,
info: {
abiDefinition: [{...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}, {...}],
compilerVersion: "0.1.1",
developerDoc: {
methods: {}
},
language: "Solidity",
languageVersion: "0",
source: "here is the contract text written"
userDoc: {
methods: {}
}
}
}
}

So it looks like solc is compiling (there is code output), but incompletely (like abiDefinition, methods etc missing)

one gentlemen on reddit recommended to downgrade the compiler, but I cannot imagine that this is the solution (downgrade from productive version to a pre-release version, after all, I want to get my DAPPS ready on productive!)

Please help!

Big thanks in advance :smiley:

Sign In or Register to comment.